package cn.com.origin.autocode.newitem.system;

import java.util.ArrayList;

import com.teamcenter.rac.commands.newitem.NewItemCommand;
import com.teamcenter.rac.commands.newitem.NewItemDialog;
import com.teamcenter.rac.commands.newitem.NewItemOperation;
import com.teamcenter.rac.kernel.TCComponent;

public class ORNewItemOperation extends NewItemOperation {

	public ORNewItemOperation() {
	}

	public ORNewItemOperation(NewItemDialog arg0) {
		super(arg0);
	}

	public ORNewItemOperation(NewItemCommand arg0) {
		super(arg0);
	}

	public void addToCache(TCComponent tccomponent) {
		if (tccomponent != null) {
			if (newComps == null) {
				newComps = new ArrayList<TCComponent>(0);
			}
			if (!newComps.contains(tccomponent)) {
				newComps.add(tccomponent);
			}
		}
	}
}
